package net.rten.palmve.data.pool;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.ForeignKey;
import androidx.room.Index;
import androidx.room.PrimaryKey;

@SuppressWarnings({"unused", "RedundantSuppression"})
@Entity(foreignKeys = {
        @ForeignKey(
                entity = SubElement.class,
                parentColumns = "_id",
                childColumns = "subelement"
        )},
        indices = {@Index(value = "subelement")}
)
public class QuestionGroup {
    @PrimaryKey
    @ColumnInfo(name = "_id")
    public Integer id;
    @ColumnInfo(name = "subelement")
    public Integer subElement;
    public String letter;
    public String description;
}
