package net.rten.palmve.data.pool;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.ForeignKey;
import androidx.room.Index;
import androidx.room.PrimaryKey;

@SuppressWarnings({"unused", "RedundantSuppression"})
@Entity(foreignKeys = {
        @ForeignKey(
                entity = Element.class,
                parentColumns = "_id",
                childColumns = "element"
        )},
        indices = {@Index(value = "element")}
)
public class SubElement {
    @PrimaryKey
    @ColumnInfo(name = "_id")
    public Long id;
    public Integer element;
    public String designation;
    public String description;
}
