package net.rten.palmve.models;

import androidx.lifecycle.LiveData;

import net.rten.palmve.data.pool.ElementView;
import net.rten.palmve.data.pool.FigureView;
import net.rten.palmve.data.pool.PoolDatabase;

import java.util.List;

public class ElementFiguresModel extends GenericListModel<ElementView, FigureView> {
    @Override
    protected LiveData<ElementView> getHeaderDataFromDao(PoolDatabase poolDb) {
        return poolDb.elementDao().getElementLiveData();
    }

    @Override
    protected LiveData<List<FigureView>> getItemDataFromDao(PoolDatabase poolDb) {
        return poolDb.elementDao().getFiguresInElementLiveData();
    }
}