package net.rten.palmve.data.pool;

import androidx.room.DatabaseView;

@DatabaseView(
        "SELECT QuestionGroup._id AS id, SubElement._id AS subElementId, " +
                "QuestionGroup.letter AS letter, " +
                "SubElement.designation || QuestionGroup.letter || '??' AS designation, " +
                "QuestionGroup.description " +
                "FROM QuestionGroup " +
                "INNER JOIN SubElement on SubElement._id = QuestionGroup.subelement"
)
public class QuestionGroupView extends PoolItemWithDescriptionAndDesignation {
    public Integer subElementId;
    public String letter;
}