package net.rten.palmve.data.pool;

import androidx.lifecycle.LiveData;
import androidx.room.Dao;
import androidx.room.Query;

import java.util.List;

@Dao
public interface SubElementDao {
    @Query("SELECT * FROM SubElementView WHERE elementId = :elementId")
    List<SubElementView> subElementsInElement(long elementId);

    @Query("SELECT * FROM SubElementView")
    LiveData<List<SubElementView>> subElementsInElementLiveData();

    @Query("SELECT * FROM SubElementView WHERE id = :subElementId")
    LiveData<SubElementView> subElementById(long subElementId);
}
