package net.rten.palmve.data.test;

import android.content.Context;

import androidx.room.Room;

public final class TestDatabaseOpener {
    public static TestDatabase open(Context context) {
        return openFile(context, "test_history.db");
    }

    public static TestDatabase openFile(Context context, String file) {
        return Room.databaseBuilder(context, TestDatabase.class, file)
                .addMigrations(new Migration_5_6())
                .addMigrations(new Migration_6_8())
                .addMigrations(new Migration_8_9())
                .build();
    }
}
