package net.rten.palmve.models;

import androidx.lifecycle.LiveData;

import net.rten.palmve.data.pool.ElementView;
import net.rten.palmve.data.pool.PoolDatabase;
import net.rten.palmve.data.pool.SubElementView;

import java.util.List;

public class ElementModel extends GenericListModel<ElementView, SubElementView> {
    @Override
    protected LiveData<ElementView> getHeaderDataFromDao(PoolDatabase poolDb) {
        return poolDb.elementDao().getElementLiveData();
    }

    @Override
    protected LiveData<List<SubElementView>> getItemDataFromDao(PoolDatabase poolDb) {
        return poolDb.subElementDao().subElementsInElementLiveData();
    }
}
