package net.rten.palmve.models;

import androidx.lifecycle.LiveData;

import net.rten.palmve.data.pool.PoolDatabase;
import net.rten.palmve.data.pool.QuestionGroupView;
import net.rten.palmve.data.pool.SubElementView;

import java.util.List;

public class SubElementModel extends GenericListModel<SubElementView, QuestionGroupView> {
    @Override
    protected LiveData<SubElementView> getHeaderDataFromDao(PoolDatabase poolDb) {
        return poolDb.subElementDao().subElementById(getPrimaryId());
    }

    @Override
    protected LiveData<List<QuestionGroupView>> getItemDataFromDao(PoolDatabase poolDb) {
        return poolDb.questionGroupsDao().questionGroupsInSubElementLiveData(getPrimaryId());
    }
}